Subject: Re: which fortran, f90 ?
From: [email-masked] (Suhaib M. Siddiqi)

25 Jan 1999 19:42:38 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="Windows-1252"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>, <[email-masked]>, <[email-masked]>

Why go through these issue of obj?  Portland Group Inc, compiler
f90/hpf works fine.  It uses *.o as object files and it is GCC/G77,
and MingW32 compatible.

Beside, not all the compilers which work from command prompt will
work with Cygnus-Cygwin, because of object files incompabilities.
The object files produced by DVF, LF90 and Absoft are not compatible
with Cygwin.  However, I have used libcygwin.a with Absoft Pro.  Absoft
allows to add any third party libraries, and object files etc, to the
project
and on some occassions I was able to port/compile a UNIX code
by adding libcygwin.a to the project.  This method does not work always.
PGI Slim Workstation (ftp://ftp.pgroup.com/x86) is a best choice.

Suhaib

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Friday, January 22, 1999 9:16 PM
Subject: Re: which fortran, f90 ?

>In a message dated 1/20/99 1:15:39 PM Pacific Standard Time,
>[email-masked] writes:
>
><<  Which goood compiler can we use with GNUwin32 ? Is it possible to
> use Digital Fortran that we already bought ?
>
> The large question is : Can we use other compilers than gcc and g77
with
> GNUwin32 ? >>
>I run the Lahey compilers from the cygwin bash prompt, and I believe
that any
>compiler with a command prompt interface will run this way.  I don't
expect
>the .obj files from any commercial Fortran to be fully compatible with
cygwin;
>most, including those from lf95, are compatible to the extent that they
may be
>read by objdump, and possibly linked after fiddling with name mangling.
lf90
>.obj files are not at all compatible with cygwin; they are documented
as being
>compatible only with the High-C compiler.  It's still possible to
execute .exe
>files and pipe text files in and out.
>-
>For help on using this list (especially unsubscribing), send a message
to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".